/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-08-07 17:21
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef long double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;

const int MAXN = 2e5 + 5;
string num;

void solve(){
    // Code goes here ...
    cin >> num;
    num = "00" + num;

    ll cur, lastid = size(num);
    bool carry = false;
    for(int i = size(num) - 1; i > 0; i--){
        cur = num[i] - 48;
        if(carry){
            cur++;
            lastid = i+1;
            if(cur < 10)
                num[i] = cur + 48;
        }
        carry = cur >= 5;
    }
    ll start = 0;
    while(num[start] == '0') start++;
    string res = num.substr(start, lastid - start) + string(size(num) - lastid, '0');
    cout << res << endl;
}

int main(){
    ios_base::sync_with_stdio(false);
    cout << fixed << setprecision(8);
    int T;
    cin >> T;
    while(T--)
        solve();
}
        
